petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSThetaSetEndpoint

Sets whether to use the endpoint variant of the method (e.g. trapezoid/Crank-Nicolson instead of midpoint rule).

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSThetaSetEndpoint(TS ts,PetscBool flg)

Not Collective Many br

### Input Parameter

| ts | - timestepping context Many br
| flg | - PETSC_TRUE to use the endpoint variant Many br

### Options Database

-ts_theta_endpoint <flg> - Many br Many br

### See Also

TSTHETA, TSCN

Level:Intermediate
Location:src/ts/impls/implicit/theta/theta.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages